Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 456032

Summary: DeviceKit - Device Enumeration Framework
Product: [Fedora] Fedora Reporter: David Zeuthen <davidz>
Component: Package ReviewAssignee: Matthias Clasen <mclasen>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, mclasen, notting
Target Milestone: ---Flags: mclasen: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-24 04:22:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Comment 1 David Zeuthen 2008-07-21 02:14:36 UTC
See also bug 456033 and bug 456034.

Comment 2 Matthias Clasen 2008-07-21 03:47:45 UTC
Hmm, rpmlint is busted, so no rpmlint check for now...

Looking over the spec file informally, I notice 2 things:

1) you probably need to require udev for /etc/udev/rules.d ownership

2) the handling of %doc seems obscure. Whats the purpose of that ?

Comment 3 Matthias Clasen 2008-07-21 14:31:29 UTC
rpmlint output:

[mclasen@golem ~]$ rpmlint DeviceKit-002-0.git20080720.fc10.i386.rpm
DeviceKit-devel-002-0.git20080720.fc10.i386.rpm
DeviceKit-debuginfo-002-0.git20080720.fc10.i386.rpm 
DeviceKit.i386: W: non-conffile-in-etc
/etc/dbus-1/system.d/org.freedesktop.DeviceKit.conf
DeviceKit.i386: W: non-conffile-in-etc /etc/udev/rules.d/98-devkit.rules
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

I'd double-check, but I believe it is common practise to treat neither dbus conf
files nor udev rules as conf files.




Comment 4 Matthias Clasen 2008-07-21 14:54:05 UTC
package name: ok
spec file name: ok
packaging guidelines:
 - you should probably straighten the %doc stuff 
 - Source: points to a nonexisting location, should just make it a filename
   and add a comment explaining that it is a git snapshot 
license: ok
license field: ok
license file: ok
spec language: ok
spec legibility: ok
upstream sources: ok, see above for Source: tag problem
ExcludeArch: n/a
BuildRequires: ok
locale handling: ok
ldconfig: ok
relocatable: n/a
directory ownership: 
  - need to Requires: udev for /etc/udev/rules.d
duplicate files: ok
permissions: ok
%clean: ok
macro use: consistent
content: permissible
large docs: n/a
doc content: ok
headers: ok
static libs: n/a
pc files: ok
shared libs: ok
devel deps: ok
libtool archives: ok
gui apps: n/a
file/directory ownership:
  - /usr/share/dbus-1/interfaces should be owned by dbus
%install: ok
utf8 filenames: ok

Comment 5 David Zeuthen 2008-07-21 14:56:35 UTC
(In reply to comment #3)
> I'd double-check, but I believe it is common practise to treat neither dbus conf
> files nor udev rules as conf files.

Sure, of course these are not configuration files - rpmlint and/or the
guidelines are just busted.


Comment 6 David Zeuthen 2008-07-21 15:00:34 UTC
(In reply to comment #2)
> 1) you probably need to require udev for /etc/udev/rules.d ownership

Should do that anyway. Fixed locally.
 
> 2) the handling of %doc seems obscure. Whats the purpose of that ?

The fact that some files are not in the root directory of the tarball. It's not
particulary obscure. Suggestions on how to fix that welcome.

Comment 7 David Zeuthen 2008-07-21 15:03:15 UTC
(In reply to comment #4)
>  - Source: points to a nonexisting location, should just make it a filename

Fixed.

>    and add a comment explaining that it is a git snapshot 

It's evident from the Release tag that it's a git snapshot.

>   - /usr/share/dbus-1/interfaces should be owned by dbus

Yeah, that's a D-Bus problem.

Thanks for the review.

Comment 8 David Zeuthen 2008-07-21 17:16:44 UTC
(In reply to comment #6)
> (In reply to comment #2)
> > 2) the handling of %doc seems obscure. Whats the purpose of that ?
> 
> The fact that some files are not in the root directory of the tarball. It's not
> particulary obscure. Suggestions on how to fix that welcome.

Just

 %doc README AUTHORS NEWS COPYING HACKING doc/TODO

seemed to do what I wanted.

I've uploaded new SPEC and SRPMS with all fixes at the same location - does this
look OK? Thanks.

Comment 9 Matthias Clasen 2008-07-21 18:25:15 UTC
Yes, looks good now. 
Even though the source url guidelines really want you put a comment there
explaining how to go from git url to tarball....

Comment 10 David Zeuthen 2008-07-21 20:29:16 UTC
New Package CVS Request
=======================
Package Name: DeviceKit
Short Description: Device Enumeration Framework
Owners: davidz
Branches:
InitialCC:
Cvsextras Commits: yes


Comment 11 Kevin Fenzi 2008-07-22 15:59:04 UTC
cvs done.